<?xml version="1.0"?>
<doc>
    <assembly>
        <name>AgrisOpenOffice3</name>
    </assembly>
    <members>
        <member name="T:AgrisOpenOffice3.Calc">
            <summary>
            
            </summary>
            <remarks></remarks>
            <example></example>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.HasOpenWorkbooks">
            <summary>
            
            </summary>
            <returns></returns>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.Open(System.String,System.Boolean)">
            <summary>
            
            </summary>
            <param name="strFileName"></param>
            <param name="visible"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.Open(System.Boolean)">
            <summary>
            
            </summary>
            <param name="visible"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.Open">
            <summary>
            
            </summary>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.OpenWithTemplate(System.String,System.Boolean)">
            <summary>
            
            </summary>
            <param name="templatePath"></param>
            <param name="visible"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.SetActivWorkbookVisible(System.Boolean)">
            <summary>
            Mach das aktuelle Fenstern sichtbar oder nicht
            </summary>
            <param name="visible"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.Quit">
            <summary>
            
            </summary>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.SaveAs(System.String)">
            <summary>
            
            </summary>
            <param name="strFileName"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.WriteRow(System.Int32,System.String[])">
            <summary>
            
            </summary>
            <param name="lineNum"></param>
            <param name="text"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.AutoFitColumns">
            <summary>
            AutoFits all Columns
            </summary>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.initComponents">
            <summary>
            Inizialisert die wichtigen Componenten
            </summary>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.pathConverter(System.String)">
            <summary>
            
            </summary>
            <param name="file"></param>
            <returns></returns>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.initOpenOfficeEnvironment">
            <summary>
            
            </summary>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.getSpreadsheet(System.Int32)">
            <summary>
            
            </summary>
            <param name="nIndex"></param>
            <returns></returns>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.notifyClosing(unoidl.com.sun.star.lang.EventObject)">
            <summary>
            
            </summary>
            <param name="Source"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.queryClosing(unoidl.com.sun.star.lang.EventObject,System.Boolean)">
            <summary>
            
            </summary>
            <param name="Source"></param>
            <param name="GetsOwnership"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Calc.disposing(unoidl.com.sun.star.lang.EventObject)">
            <summary>
            
            </summary>
            <param name="Source"></param>
        </member>
        <member name="E:AgrisOpenOffice3.Calc.PreApplicationCloseEvent">
            <summary>
            Event das beim Schliessen von Word eintritt
            </summary>
        </member>
        <member name="T:AgrisOpenOffice3.Writer">
            <summary>
            </summary>
            <remarks></remarks>
            <example></example>
        </member>
        <member name="F:AgrisOpenOffice3.Writer.TEMP_FILE">
            <summary>Temp Datadatei für Serienbrief</summary>
        </member>
        <member name="F:AgrisOpenOffice3.Writer.TEMP_SERIENBRIEF">
            <summary>Temp Serienbrief</summary>
        </member>
        <member name="F:AgrisOpenOffice3.Writer.DB_NAME">
            <summary>Name für DB von csv in OO</summary>
        </member>
        <member name="F:AgrisOpenOffice3.Writer.TABLE_NAME">
            <summary>Name für Table von csv in OO</summary>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.Open">
            <summary>
            
            </summary>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.Open(System.Boolean)">
            <summary>
            
            </summary>
            <param name="visible"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.Open(System.String,System.Boolean)">
            <summary>
            
            </summary>
            <param name="strFileName"></param>
            <param name="visible"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.OpenFileWithTemplate(System.String,System.Boolean)">
            <summary>
            
            </summary>
            <param name="templatePath"></param>
            <param name="visible"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.SaveAs(System.String)">
            <summary>
            
            </summary>
            <param name="strFileName"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.SaveAsPdf(System.String,System.String)">
            <summary>
            Speichert das Dokumenten als PDF ab
            </summary>
            <param name="strFileName">Pfad zu der Datei</param>
            <param name="destFileName">Pfad zum PDF</param>
            <returns>Pfad zum PDF</returns>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.Dispose(System.Boolean)">
            <summary>
            Releases the resources used by the <b>Writer</b>.
            </summary>
            <param name="save"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.Dispose">
            <summary>
            Releases the resources used by the <b>Writer</b>.
            </summary>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.GetOnlyText">
            <summary>
            
            </summary>
            <returns></returns>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.HasOpenDokuments">
            <summary>
            
            </summary>
            <returns></returns>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.ReplaceText(System.String,System.String)">
            <summary>
            
            </summary>
            <param name="search"></param>
            <param name="text"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.SetActiveDocumentVisible(System.Boolean)">
            <summary>
            
            </summary>
            <param name="visible"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.AddMailMergeData(System.Collections.Generic.List{System.String[]})">
            <summary>
            
            </summary>
            <param name="data"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.AddMailMergeDataHead(System.Collections.Generic.List{System.String})">
            <summary>
            
            </summary>
            <param name="fields"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.AddMailMergeFields(System.Collections.Generic.List{System.String})">
            <summary>
            
            </summary>
            <param name="fields"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.AddMailMergeFields">
            <summary>
            
            </summary>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.ExecuteMailMerge(System.Boolean)">
            <summary>
            
            </summary>
            <param name="showAfterMerge"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.ExecuteMailMerge">
            <summary>
            
            </summary>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.CreateTable(System.String,System.Int32,System.Int32)">
            <summary>
            
            </summary>
            <param name="bookmark"></param>
            <param name="rows"></param>
            <param name="colums"></param>
            <returns></returns>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.CreateTable(System.Int32,System.Int32)">
            <summary>
            
            </summary>
            <param name="rows"></param>
            <param name="colums"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.DefaultFormatTable(System.String,System.Boolean)">
            <summary>
            
            </summary>
            <param name="tableID"></param>
            <param name="headBold"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.SetColumnAlignment(System.String,System.Int32,AgrisOfficeInterface.Lib.HAlignment)">
            <summary>
            
            </summary>
            <param name="tableID"></param>
            <param name="columnNr"></param>
            <param name="alignment"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.SetColumnWidth(System.String,System.Int32,System.Double)">
            <summary>
            
            </summary>
            <param name="tableID"></param>
            <param name="columnNr"></param>
            <param name="width"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.SetLeftIndent(System.String,System.Double)">
            <summary>
            
            </summary>
            <param name="tableID"></param>
            <param name="leftIndent"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.WriteLineInTable(System.String,System.Int32,System.Collections.Generic.List{System.String})">
            <summary>
            
            </summary>
            <param name="tableID"></param>
            <param name="rowNr"></param>
            <param name="data"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.initComponents">
            <summary>
            Inizialisert die wichtigen Componenten
            </summary>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.pathConverter(System.String)">
            <summary>
            
            </summary>
            <param name="file"></param>
            <returns></returns>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.urlConverter(System.String)">
            <summary>
            
            </summary>
            <param name="url"></param>
            <returns></returns>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.initOpenOfficeEnvironment">
            <summary>
            
            </summary>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.notifyClosing(unoidl.com.sun.star.lang.EventObject)">
            <summary>
            
            </summary>
            <param name="Source"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.queryClosing(unoidl.com.sun.star.lang.EventObject,System.Boolean)">
            <summary>
            
            </summary>
            <param name="Source"></param>
            <param name="GetsOwnership"></param>
        </member>
        <member name="M:AgrisOpenOffice3.Writer.disposing(unoidl.com.sun.star.lang.EventObject)">
            <summary>
            
            </summary>
            <param name="Source"></param>
        </member>
        <member name="E:AgrisOpenOffice3.Writer.PreApplicationCloseEvent">
            <summary>
            Event das beim Schliessen von Word eintritt
            </summary>
        </member>
        <member name="T:AgrisOpenOffice3.WinUtils">
            <summary>
            Diese Klasse beinhaltet eine Sammlung von Funktionen für Windows spezifische Methoden
            </summary>
        </member>
        <member name="M:AgrisOpenOffice3.WinUtils.SetWindowTopMost(System.String)">
            <summary>
            Setzt das Fenster mit dem übergebenen Titel Top Most
            </summary>
            <param name="windowTitle">Fenstertitel</param>
        </member>
        <member name="M:AgrisOpenOffice3.WinUtils.enumListe(System.IntPtr,System.Int32)">
            <summary>
            
            </summary>
            <param name="hWnd"></param>
            <param name="lParam"></param>
            <returns></returns>
        </member>
    </members>
</doc>
